Home

# Class goog.storage.ExpiringStorage

Provides a storage with expirning keys.

extends goog.storage.RichStorage

Instance Method Summary
| `getWrapper(string key, boolean= opt_expired) ⇒ (Object|undefined)` Get an item wrapper (the item and its metadata) from the storage.
| `set(string key, <Any Type> value, number= opt_expiration)` Set an item in the storage.

Static Method Summary
| `getCreationTime(!Object wrapper) ⇒ (number|undefined)` Returns the wrapper creation time.
| `getExpirationTime(!Object wrapper) ⇒ (number|undefined)` Returns the wrapper expiration time.
| `isExpired(!Object wrapper) ⇒ boolean` Checks if the data item has expired.